# Uses of Class
it.tdlight.jni.TdApi.NetworkStatisticsEntry

## Uses of TdApi.NetworkStatisticsEntry in it.tdlight.jni

Subclasses of TdApi.NetworkStatisticsEntry in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.NetworkStatisticsEntryCall`
Contains information about the total amount of data that was used for calls.
`static final class`
`TdApi.NetworkStatisticsEntryFile`
Contains information about the total amount of data that was used to send and receive files.
Fields in it.tdlight.jni declared as TdApi.NetworkStatisticsEntry
Modifier and Type
Field
Description
`TdApi.NetworkStatisticsEntry[]`
TdApi.NetworkStatistics.`entries`
Network statistics entries.
`TdApi.NetworkStatisticsEntry`
TdApi.AddNetworkStatistics.`entry`
The network statistics entry with the data to be added to statistics.
Constructors in it.tdlight.jni with parameters of type TdApi.NetworkStatisticsEntry
Modifier
Constructor
Description
``
`AddNetworkStatistics(TdApi.NetworkStatisticsEntry entry)`
Adds the specified data to data usage statistics.
``
`NetworkStatistics(int sinceDate, TdApi.NetworkStatisticsEntry[] entries)`
A full list of available network statistic entries.